=== debian/control ===
Source: ros-kinetic-lex-common
Section: misc
Priority: extra
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), cmake, google-mock, libgtest-dev, ros-kinetic-aws-common (>= 2.0.0), ros-kinetic-catkin, ros-kinetic-ros-environment
Homepage: http://wiki.ros.org/aws_common
Standards-Version: 3.9.2

Package: ros-kinetic-lex-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-aws-common (>= 2.0.0)
Description: Lex Common utilities, intended for use by Lex clients
